import { CdmCorpusContext, CdmPurposeDefinition, copyOptions, resolveOptions } from '../../internal';
import { Purpose } from './types';
export declare class PurposePersistence {
    static fromData(ctx: CdmCorpusContext, object: Purpose): CdmPurposeDefinition;
    static toData(instance: CdmPurposeDefinition, resOpt: resolveOptions, options: copyOptions): Purpose;
}
